商品画像分類タグ検索
リクエストURL
Section titled “リクエストURL”ホスト
https://api.next-engine.org
エンドポイント
/api_v1_master_goodsimagetag/search
リファレンス内容
Section titled “リファレンス内容”検索について
Section titled “検索について”入力パラメータはPOST、出力パラメータはレスポンス(レスポンスボディにJSON)になります
検索条件を複数指定した場合、全ての条件がかつ(AND)となります
入力パラメータ
Section titled “入力パラメータ”| パラメータ | 値 | 省略 | 備考 |
|---|---|---|---|
access_token | access_token取得により取得した値 | 必須(SDKの場合不要) | |
refresh_token | access_token取得により取得した値 | 可能(SDKの場合不要) | 【指定してaccess_tokenの有効期限が切れた場合】 正常に出力パラメータが設定されaccess_tokenとrefresh_tokenが新しい値に更新されます 【省略してaccess_tokenの有効期限が切れた場合】 出力パラメータ「result」の値がredirectになります(成功時以外の出力パラメータ参照) |
wait_flag | 1:メイン機能過負荷でも可能な限りエラーにせず実行1以外:メイン機能過負荷の場合、003002のエラーを返却 | 可能(省略時は1以外とする) | 詳細はパラメータ共通事項「待機フラグについて」を参照して下さい |
fields | 検索結果で取得するフィールドをカンマ区切りで指定(SELECT句相当) | 必須 | 例:商品マスタ検索で「goods_id, goods_name, stock_quantity, supplier_name」を指定した場合、「商品コード、商品名、在庫数、仕入先名」を検索結果として取得します |
| フィールド名-比較演算子(WHERE句のカラムと比較演算子相当) | 検索条件の値(WHERE句の値相当) | 可能 | 例:商品マスタ検索でパラメータ:goods_id-like、値:”%-red”と指定した場合、商品コードが*-redの商品マスタを検索します |
offset | オフセットの数値(OFFSET句相当) | 可能(省略時0) | 0:一番最初の検索結果から取得、1:2番めの検索結果から取得・・・ |
limit | 取得数の数値(LIMIT句相当) | 可能(省略時10000) |
出力パラメータ
Section titled “出力パラメータ”| パラメータ名 | 値 | 備考 |
|---|---|---|
result | success | success以外の場合の出力パラメータは成功時以外の出力パラメータ参照 |
access_token | 入力パラメータで指定したaccess_token/新たに発行されたaccess_token | 有効なrefresh_tokenを指定してaccess_tokenの有効期限がきれた場合、新たに発行(この時点から1日有効)されたaccess_tokenになります |
access_token_end_date | access_tokenの有効期限切れ日時 | |
refresh_token | 入力パラメータで指定したrefresh_token/新たに発行されたrefresh_token | access_tokenが新しく発行された場合、新たに発行(この時点から3日有効)されたrefresh_tokenになります |
refresh_token_end_date | refresh_tokenの有効期限切れ日時 | |
count | 検索結果の件数 | |
data | 検索結果の連想配列(JSONのオブジェクト型) |
検索速度について
Section titled “検索速度について”入力パラメータのfieldsの指定を増やすほど処理に時間が掛かります。必要な情報のみ検索した方がより高速になります
検索結果のデータ量が増える程、指数関数的に検索結果の取得に時間がかかります(アプリのWebサーバーの性能が低い程顕著です)。Webサーバーの見直し又は、limit又はfieldsを調整して下さい
大量の検索結果を取得する場合、アクセスが集中する07:00~22:00の時間帯を避けてバックグラウンドで情報を取得することを推奨します
商品画像分類タグ
Section titled “商品画像分類タグ”| 項目名 | フィールド名 | データ型 | 備考 |
|---|---|---|---|
| 商品画像分類タグID | goods_image_tag_id | 数値型 | |
| 商品画像ID | goods_image_tag_goods_image_id | 数値型 | |
| 画像分類タグID | goods_image_tag_image_tag_id | 文字列型 | |
| 削除フラグ | goods_image_tag_deleted_flag | 文字列型 | |
| 作成日 | goods_image_tag_creation_date | 日時型 | |
| 最終更新日 | goods_image_tag_last_modified_date | 日時型 | |
| 最終更新日 | goods_image_tag_last_modified_null_safe_date | 日時型 | NULLの場合作成日 |
| 作成担当者ID | goods_image_tag_creator_id | 数値型 | |
| 作成担当者名 | goods_image_tag_creator_name | 文字列型 | |
| 最終更新者ID | goods_image_tag_last_modified_by_id | 数値型 | |
| 最終更新者ID | goods_image_tag_last_modified_by_null_safe_id | 数値型 | NULLの場合作成者ID |
| 最終更新者名 | goods_image_tag_last_modified_by_name | 文字列型 | |
| 最終更新者名 | goods_image_tag_last_modified_by_null_safe_name | 文字列型 | NULLの場合作成者名 |
画像分類タグ
Section titled “画像分類タグ”| 項目名 | フィールド名 | データ型 | 備考 |
|---|---|---|---|
| 画像分類タグID | image_tag_id | 数値型 | |
| モール/カートID | image_tag_mall_id | 数値型 | |
| モール/カートID(サブ) | image_tag_mall_sub_id | 数値型 | |
| 画像分類タグ | image_tag_text | 文字列型 | Ex:汎用-画像1,汎用-画像2,・・・ |
| 自動登録用タグ番号 | image_tag_auto_register_no | 数値型 | 通常は並び順と同じ。モール/カートID(サブ)がある場合のみ異なる値が設定される。汎用-画像1,2,BASE-画像1,2の場合BASE-画像1の並び順は1で自動登録用タグ番号は3。 |
| 並び順 | image_tag_display_order | 数値型 | |
| 削除フラグ | image_tag_deleted_flag | 文字列型 | |
| 作成日 | image_tag_creation_date | 日時型 | |
| 最終更新日 | image_tag_last_modified_date | 日時型 | |
| 最終更新日 | image_tag_last_modified_null_safe_date | 日時型 | NULLの場合作成日 |
| 作成担当者ID | image_tag_creator_id | 数値型 | |
| 作成担当者名 | image_tag_creator_name | 文字列型 | |
| 最終更新者ID | image_tag_last_modified_by_id | 数値型 | |
| 最終更新者ID | image_tag_last_modified_by_null_safe_id | 数値型 | NULLの場合作成者ID |
| 最終更新者名 | image_tag_last_modified_by_name | 文字列型 | |
| 最終更新者名 | image_tag_last_modified_by_null_safe_name | 文字列型 | NULLの場合作成者名 |
サンプル
リクエスト
curl -X POST -H "Content-Type: application/x-www-form-urlencoded" -d 'access_token=xxxxxxxxx&refresh_token=xxxxxxxxx&fields=xxxxxxxx,xxxxxxx&goods_image_tag_creator_name-like=xxxxx&offset=0&limit=2' https://api.next-engine.org/api_v1_master_goodsimagetag/searchレスポンス
{ "result": "success", "count": "2", "data": [ { "goods_image_tag_id": "1", "goods_image_tag_goods_image_id": "1", "goods_image_tag_image_tag_id": "1", "goods_image_tag_deleted_flag": "0", "goods_image_tag_creation_date": "2017-01-18 15:44:50", "goods_image_tag_last_modified_date": "2017-01-18 15:44:50", "goods_image_tag_last_modified_null_safe_date": "2017-01-18 15:44:50", "goods_image_tag_creator_id": "0", "goods_image_tag_creator_name": "System", "goods_image_tag_last_modified_by_id": "0", "goods_image_tag_last_modified_by_null_safe_id": "0", "goods_image_tag_last_modified_by_name": "System", "goods_image_tag_last_modified_by_null_safe_name": "System", "image_tag_id": "1", "image_tag_mall_id": "0", "image_tag_mall_sub_id": "0", "image_tag_text": "基本-画像1", "image_tag_auto_register_no": "1", "image_tag_display_order": "1", "image_tag_deleted_flag": "0", "image_tag_creation_date": "2014-10-17 17:08:45", "image_tag_last_modified_date": "2014-10-17 17:08:45", "image_tag_last_modified_null_safe_date": "2014-10-17 17:08:45", "image_tag_creator_id": "0", "image_tag_creator_name": "System", "image_tag_last_modified_by_id": "0", "image_tag_last_modified_by_null_safe_id": "0", "image_tag_last_modified_by_name": "System", "image_tag_last_modified_by_null_safe_name": "System" }, { "goods_image_tag_id": "2", "goods_image_tag_goods_image_id": "2", "goods_image_tag_image_tag_id": "2", "goods_image_tag_deleted_flag": "0", "goods_image_tag_creation_date": "2017-02-10 16:08:41", "goods_image_tag_last_modified_date": "2017-02-10 16:08:41", "goods_image_tag_last_modified_null_safe_date": "2017-02-10 16:08:41", "goods_image_tag_creator_id": "10002", "goods_image_tag_creator_name": "xxxxx", "goods_image_tag_last_modified_by_id": "10002", "goods_image_tag_last_modified_by_null_safe_id": "10002", "goods_image_tag_last_modified_by_name": "xxxxx", "goods_image_tag_last_modified_by_null_safe_name": "xxxxx", "image_tag_id": "2", "image_tag_mall_id": "0", "image_tag_mall_sub_id": "0", "image_tag_text": "基本-画像2", "image_tag_auto_register_no": "2", "image_tag_display_order": "2", "image_tag_deleted_flag": "0", "image_tag_creation_date": "2014-10-17 17:08:45", "image_tag_last_modified_date": "2014-10-17 17:08:45", "image_tag_last_modified_null_safe_date": "2014-10-17 17:08:45", "image_tag_creator_id": "0", "image_tag_creator_name": "System", "image_tag_last_modified_by_id": "0", "image_tag_last_modified_by_null_safe_id": "0", "image_tag_last_modified_by_name": "System", "image_tag_last_modified_by_null_safe_name": "System" } ], "access_token": xxxxx", "access_token_end_date": "2017-04-18 11:19:26", "refresh_token": "xxxxx", "refresh_token_end_date": "2017-04-20 11:19:26"}エラーコード
Section titled “エラーコード”エンドポイント固有のエラーコードはありません。 共通エラーコードは メッセージコード一覧 を参照してください。
- 構造化スキーマビュー:
/openapi/operations/api_v1_master_goodsimagetag_search/(OpenAPI 3.1 のインタラクティブ仕様) - エラーコード一覧:
/guides/param/message/(result/code/messageの意味)
同じカテゴリの他のエンドポイント (商品画像分類タグ)
Section titled “同じカテゴリの他のエンドポイント (商品画像分類タグ)”- 商品画像分類タグ件数取得 —
POST /api_v1_master_goodsimagetag/count